Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class CreateSequence

    java.lang.Object
      org.apache.sandesha2.wsrm.CreateSequence

All Implemented Interfaces:
  IOMRMElement, IOMRMPart

    public class CreateSequence

extends java.lang.Object
implements IOMRMPart

Represent the CreateSequence body element.

Constructor Summary
`CreateSequence(AcksTo acksTo, org.apache.axiom.soap.SOAPFactory factory, java.lang.String rmNamespaceValue)`
`CreateSequence(java.lang.String rmNamespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement bodyElement)`
`AcksTo` | `getAcksTo()`
`java.lang.String` | `getAddressingNamespaceValue()`
`java.lang.String` | `getNamespaceValue()`
`org.apache.axiom.om.OMElement` | `getSecurityTokenReference()`
`SequenceOffer` | `getSequenceOffer()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setAcksTo(AcksTo acksTo)`
`void` | `setSecurityTokenReference(org.apache.axiom.om.OMElement theSTR)`
`void` | `setSequenceOffer(SequenceOffer sequenceOffer)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement bodyElement)`
`void` | `toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateSequence

    public CreateSequence(java.lang.String rmNamespaceValue)
                   throws SandeshaException

Throws:
  `SandeshaException`

### CreateSequence

    public CreateSequence(AcksTo acksTo,
                          org.apache.axiom.soap.SOAPFactory factory,
                          java.lang.String rmNamespaceValue)
                   throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### getAddressingNamespaceValue

    public java.lang.String getAddressingNamespaceValue()

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement bodyElement)
                                   throws org.apache.axiom.om.OMException,
                                          org.apache.axis2.AxisFault

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement bodyElement)
                                              throws org.apache.axiom.om.OMException,
                                                     org.apache.axis2.AxisFault

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### setAcksTo

    public void setAcksTo(AcksTo acksTo)

### setSequenceOffer

    public void setSequenceOffer(SequenceOffer sequenceOffer)

### getAcksTo

    public AcksTo getAcksTo()

### getSequenceOffer

    public SequenceOffer getSequenceOffer()

### toSOAPEnvelope

    public void toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)
                        throws org.apache.axis2.AxisFault

  Specified by:
    `toSOAPEnvelope` in interface `IOMRMPart`
  Throws:
    `org.apache.axis2.AxisFault`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

### getSecurityTokenReference

    public org.apache.axiom.om.OMElement getSecurityTokenReference()

### setSecurityTokenReference

    public void setSecurityTokenReference(org.apache.axiom.om.OMElement theSTR)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.